Skip to main content
POST
/
v2
/
sms-campaign-registration
Create Campaign Registration
curl --request POST \
  --url https://api.example.com/v2/sms-campaign-registration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sample_messages": [
    "<string>"
  ],
  "consent_description": "<string>",
  "has_confirmed_consent": true,
  "proof_attachment_id": "<string>",
  "proof_url": "<string>",
  "privacy_policy_url": "<string>",
  "terms_and_conditions_url": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "sample_messages": [
    "<string>"
  ],
  "consent_description": "<string>",
  "proof_attachment_id": "<string>",
  "proof_url": "<string>",
  "privacy_policy_url": "<string>",
  "terms_and_conditions_url": "<string>",
  "has_confirmed_consent": true,
  "user_id": "<string>",
  "object": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for submitting an A2P SMS campaign registration.

sample_messages
string[]
required

Sample SMS messages for the campaign

Minimum array length: 1

How end-users consent to receiving messages

Whether consent was obtained from all recipients

proof_attachment_id
string | null

Attachment ID for uploaded consent proof

proof_url
string | null

External URL to consent proof

privacy_policy_url
string | null

URL to the customer's privacy policy

terms_and_conditions_url
string | null

URL to the customer's terms and conditions

Response

Successful Response

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
sample_messages
string[]
required

Sample SMS messages for the campaign

How end-users consent to receiving messages

proof_attachment_id
string | null
required

Attachment ID for uploaded consent proof document

proof_url
string | null
required

External URL to consent proof (alternative to file upload)

privacy_policy_url
string | null
required

URL to the customer's privacy policy

terms_and_conditions_url
string | null
required

URL to the customer's terms and conditions

Whether the user has attested that consent was obtained from all recipients

user_id
string
required

User who submitted the registration

object
string
required
read-only

String representing the object's type. Objects of the same type share the same value.